diff --git a/src/lxplib.c b/src/lxplib.c
index 7726913..1a0540a 100644
--- a/src/lxplib.c
+++ b/src/lxplib.c
@@ -23,26 +23,6 @@
 #define luaL_Reg luaL_reg
 #endif
 
-#if !defined(luaL_newlibtable) && (!defined(LUA_VERSION_NUM) || LUA_VERSION_NUM==501)
-/* Lua 5.0 or Lua 5.1 */
-/*
-** Adapted from Lua 5.2.0
-*/
-static void luaL_setfuncs (lua_State *L, const luaL_Reg *l, int nup) {
-  luaL_checkstack(L, nup+1, "too many upvalues");
-  for (; l->name != NULL; l++) {  /* fill the table with given functions */
-    int i;
-    lua_pushstring(L, l->name);
-    for (i = 0; i < nup; i++)  /* copy upvalues to the top */
-      lua_pushvalue(L, -(nup+1));
-    lua_pushcclosure(L, l->func, nup);  /* closure with those upvalues */
-    lua_settable(L, -(nup + 3));
-  }
-  lua_pop(L, nup);  /* remove upvalues */
-}
-#endif
-
-
 enum XPState {
   XPSpre,  /* parser just initialized */
   XPSok,   /* state while parsing */
